Method: projects.locations.instances.import

Import instance.

HTTP request

POST https://looker.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:import

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Format: projects/{project}/locations/{location}/instances/{instance}.

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsUri": string
  // End of mutually exclusive fields.
}
Fields
Required. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
gcsUri

string

Path to the import folder in Google Cloud Storage, in the form gs://bucketName/folderName.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • looker.googleapis.com/looker.instances.import

For more information, see the IAM documentation.